Description: I've always disliked the way the pagination in first Redmine and now Chiliproject have been displayed. So I 

thought I'd do something about it, even though my Rails experience is somewhat limited. 

To get this done I've needed to add a label to the yml files, changed application_helper.rb and the 
classic_pagination plugin aswell as add some jQuery.

I'll add the patchfile as soon as the ticket has got a number.

History
2013-03-28 11:31 am - Henrik Ammer
I can't add files, I only get a servererror so here are the files linked from my Dropbox:

Patchfile, https://dl.dropbox.com/u/9714808/1257-improved_pagination
Screenshot, https://dl.dropbox.com/u/9714808/proposed_pagination.jpg

2013-03-30 01:20 am - Chris Dähn
Hi!

looks cool - would like to see that in a next version! The text links are not only a little bit old fashioned - they're hard to use on mobile devices, too.

ciao,
Chris

2013-06-27 07:09 pm - Henrik Ammer
I noted that a console.log slipped in the JavaScript and it needs to be removed.

2013-06-27 11:14 pm - Chris Dähn
- Target version set to 3.9.0

Hi,

ah, thats no problem - just update the patch file (you can attach it directly to this ticket).

@Felix+Holger: Could you add this small patch to the next release 3.9.0, please? I can test it separately on the master - on first sight there are only a 
few critical changes...

Would love to see that in the next version! :-)

2013-06-28 02:12 pm - Henrik Ammer
I dont see where I can attach the file, and when I created the ticket I could but then I got 500 errors on the upload. 

To add to the problem, I dont currently have access to my testsuite and cant create a new patchfile. Is it possible to edit the one I have on my dropbox? 
I see checksums in the patchfile so not sure if its viable. 
I will probably gain access to my testchiliproject some time next week (fingers crossed).

2013-06-28 02:14 pm - Henrik Ammer
And thanks for likeing my work. :)
